# Brawlset 

Le brawlset est un mode de jeu [Magic The Gathering](https://magic.wizards.com/en). Cette application web permet de rentrer ses propres decks et d'avoir des statistiques sur l'utilisation des cartes à la manière de [EDHREC](https://edhrec.com/).

Une version en ligne est accessible [ici](https://brawlset-beta.shenanigans.cc).

# Compilation

Pour développer, vous devez compiler et lancer une instance de pocketbase custom comme ceci :
```
cd backend
go build -o custom_pocketbase *.go 
GO_ENV=dev ./custom_pocketbase serve
```

Vous pouvez accéder à l'application pocketbase à l'adresse `http://localhost:8090` mais toutes les requêtes qui ne sont pas de l'api ou du dashboard pockerbase seront renvoyées vers `http://localhost:5173` afin de pouvoir éditer l'application svelte en mode dev. Vous devez donc lancer une instance de sveltekit en mode dev :

```
cd frontend 
bun install
bun run dev 
```

# Production 

Pour déployer l'application je recommande d'utiliser l'image docker `git.shenanigans.cc/globuzma/brawlset:latest`, n'oubliez pas de monter un volume pour `/usr/src/app/pb_data` afin d'avoir de la persistence de données et de forward sur le port `8090`.

Docker compose :
```
services:
    brawlset:
        image: git.shenanigans.cc/globuzma/brawlset:latest
        container_name: brawlset
        ports:
            - 8090:8090 
-       volumes:
-           - ${PWD}/pb_data:/usr/src/app/pb_data
-       restart: unless-stopped
```
